| Tilt Five NDK |

Data Structures | Typedefs | Enumerations | Functions
errors.hpp File Reference

C++ errors for the Tilt Five™ API. More...

`#include "errors.h"`
`#include <system_error>`
Include dependency graph for errors.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | tiltfive::details::ErrorCategory< Dummy >
struct | std::is_error_code_enum< tiltfive::Error >

## Typedefs
using | tiltfive::ErrorCategory = details::ErrorCategory< void >

## Enumerations
enum class | tiltfive::Error { Error::kSuccess = T5_SUCCESS , Error::kTimeout = T5_TIMEOUT , Error::kNoContext = T5_ERROR_NO_CONTEXT , Error::kLibraryUnavailable = T5_ERROR_NO_LIBRARY , Error::kInternalError = T5_ERROR_INTERNAL , Error::kNoService = T5_ERROR_NO_SERVICE , Error::kIoFailure = T5_ERROR_IO_FAILURE , Error::kRequestIdUnknown = T5_ERROR_REQUEST_ID_UNKNOWN , Error::kInvalidArgument = T5_ERROR_INVALID_ARGS , Error::kDeviceLost = T5_ERROR_DEVICE_LOST , Error::kTargetNotFound = T5_ERROR_TARGET_NOT_FOUND , Error::kInvalidState = T5_ERROR_INVALID_STATE , Error::kSettingUnknown = T5_ERROR_SETTING_UNKNOWN , Error::kSettingWrongType = T5_ERROR_SETTING_WRONG_TYPE , Error::kMiscRemote = T5_ERROR_MISC_REMOTE , Error::kOverflow = T5_ERROR_OVERFLOW , Error::kGfxApiUnavailable = T5_ERROR_GRAPHICS_API_UNAVAILABLE , Error::kUnsupported = T5_ERROR_UNSUPPORTED , Error::kDecodeError = T5_ERROR_DECODE_ERROR , Error::kInvalidGfxContext = T5_ERROR_INVALID_GFX_CONTEXT , Error::kGfxContextInitFail = T5_ERROR_GFX_CONTEXT_INIT_FAIL , Error::kTryAgain = T5_ERROR_TRY_AGAIN , Error::kUnavailable = T5_ERROR_UNAVAILABLE , Error::kAlreadyConnected = T5_ERROR_ALREADY_CONNECTED , Error::kNotConnected = T5_ERROR_NOT_CONNECTED , Error::kStringOverflow = T5_ERROR_STRING_OVERFLOW , Error::kServiceIncompatible = T5_ERROR_SERVICE_INCOMPATIBLE , Error::kPermissionDenied = T5_PERMISSION_DENIED , Error::kInvalidBuffer = T5_ERROR_INVALID_BUFFER_SIZE }
| Error codes returned by most functions of return type Result. More...

## Functions
std::error_code | tiltfive::make_error_code (Error e) noexcept

## Detailed Description

C++ errors for the Tilt Five™ API.

Definition in file errors.hpp.

## Typedef Documentation

## ◆ ErrorCategory

using tiltfive::ErrorCategory = typedef details::ErrorCategory<void>

Definition at line 153 of file errors.hpp.

## Function Documentation

## ◆ make_error_code()

std::error_code tiltfive::make_error_code | ( | Error | e | ) |
| inline noexcept

Definition at line 155 of file errors.hpp.